
From: Hal Rosenstock <halr@voltaire.com>

Hook up userspace CM to the make system

Signed-off-by: Libor Michalek <libor@topspin.com>
Signed-off-by: Hal Rosenstock <halr@voltaire.com>
Cc: Roland Dreier <rolandd@cisco.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/infiniband/core/Makefile |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN drivers/infiniband/core/Makefile~ib-hook-up-userspace-cm-to-the-make-system drivers/infiniband/core/Makefile
--- 25/drivers/infiniband/core/Makefile~ib-hook-up-userspace-cm-to-the-make-system	Mon Jul 11 17:07:05 2005
+++ 25-akpm/drivers/infiniband/core/Makefile	Mon Jul 11 17:07:05 2005
@@ -1,7 +1,7 @@
 EXTRA_CFLAGS += -Idrivers/infiniband/include
 
 obj-$(CONFIG_INFINIBAND) +=		ib_core.o ib_mad.o ib_sa.o \
-					ib_cm.o ib_umad.o
+					ib_cm.o ib_umad.o ib_ucm.o
 obj-$(CONFIG_INFINIBAND_USER_VERBS) +=	ib_uverbs.o
 
 ib_core-y :=			packer.o ud_header.o verbs.o sysfs.o \
@@ -15,4 +15,6 @@ ib_cm-y :=			cm.o
 
 ib_umad-y :=			user_mad.o
 
+ib_ucm-y :=			ucm.o
+
 ib_uverbs-y :=			uverbs_main.o uverbs_cmd.o uverbs_mem.o
_
